commit:     e48c24cd4da7152bf8772a036a8e52d00799dc87
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 16 13:22:40 2026 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Mar 16 13:26:44 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e48c24cd

app-emacs/magit: Use emake to generate magit-version.el

So it can use VERSIONLIB_TMPL from lisp/Makefile. However, replace
default.mk with an empty file, otherwise it would execute lots of
potentially fragile commands which we don't need.

Update EAPI to 9.

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 .../magit/{magit-9999.ebuild => magit-4.5.0-r1.ebuild}     | 14 +++++++-------
 app-emacs/magit/magit-9999.ebuild                          | 10 +++++-----
 2 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/app-emacs/magit/magit-9999.ebuild 
b/app-emacs/magit/magit-4.5.0-r1.ebuild
similarity index 80%
copy from app-emacs/magit/magit-9999.ebuild
copy to app-emacs/magit/magit-4.5.0-r1.ebuild
index 432dac0e7969..b072a83932d0 100644
--- a/app-emacs/magit/magit-9999.ebuild
+++ b/app-emacs/magit/magit-4.5.0-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=8
+EAPI=9
 
 NEED_EMACS="29.2"
 
@@ -11,13 +11,13 @@ DESCRIPTION="A Git porcelain inside Emacs"
 HOMEPAGE="https://magit.vc/
        https://github.com/magit/magit/";
 
-if [[ "${PV}" == *9999* ]] ; then
+if [[ ${PV} == *9999* ]] ; then
        inherit git-r3
 
        EGIT_REPO_URI="https://github.com/${PN}/${PN}.git";
 else
        SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz
-               -> ${P}.tar.gz"
+               -> ${P}.gh.tar.gz"
 
        KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
 fi
@@ -28,7 +28,7 @@ LICENSE="GPL-3+"
 SLOT="0"
 
 RDEPEND="
-       >=app-emacs/compat-30.1.0.0
+       app-emacs/compat
        app-emacs/cond-let
        app-emacs/dash
        app-emacs/llama
@@ -49,6 +49,6 @@ SITEFILE="50${PN}-gentoo.el"
 
 src_prepare() {
        default
-
-       echo "(setq ${PN}-version \"${PV}\")" > "./${PN}-version.el" || die
+       > ../default.mk || die
+       emake magit-version.el PKG="${PN}" VERSION="${PV}"
 }

diff --git a/app-emacs/magit/magit-9999.ebuild 
b/app-emacs/magit/magit-9999.ebuild
index 432dac0e7969..9caf586c250e 100644
--- a/app-emacs/magit/magit-9999.ebuild
+++ b/app-emacs/magit/magit-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=8
+EAPI=9
 
 NEED_EMACS="29.2"
 
@@ -11,7 +11,7 @@ DESCRIPTION="A Git porcelain inside Emacs"
 HOMEPAGE="https://magit.vc/
        https://github.com/magit/magit/";
 
-if [[ "${PV}" == *9999* ]] ; then
+if [[ ${PV} == *9999* ]] ; then
        inherit git-r3
 
        EGIT_REPO_URI="https://github.com/${PN}/${PN}.git";
@@ -49,6 +49,6 @@ SITEFILE="50${PN}-gentoo.el"
 
 src_prepare() {
        default
-
-       echo "(setq ${PN}-version \"${PV}\")" > "./${PN}-version.el" || die
+       > ../default.mk || die
+       emake magit-version.el PKG="${PN}" VERSION="${PV}"
 }

Reply via email to